Subject: Re: [PATCH gnome-team v3 0/7] [PATCH gnome-team v3 0/7] Update extensions (2/5 replaced, 2/5 no solution, 1/5 redundant)

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 20 Jan 2024 01:51:30 +0100

Am Samstag, dem 20.01.2024 um 01:11 +0100 schrieb Vivien Kraus:
> Dear Guix,
> 
> In this V3, the Applications Menu built-in extension is fixed by
> installing typelibs for gnome-menus. Since the extension requires it,
> I figured it should be a propagated-input. However, it is already
> propagated by gnome-desktop. Should we propagate it in both gnome-
> desktop and gnome-shell-extensions?
Instead of propagating it, we should perhaps just wrap GI_TYPELIB_PATH?

> The noannoyance extension now has an updated origin, preserving the
> same package.
> 
> The paperwm extension requires to be updated for GNOME 44, see
> https://issues.guix.gnu.org/68574 for a candidate patch.
More accurately, it is already outdated for GNOME 42(?) and the
supplied patch also works for GNOME 44.

> I still have no solution for Jiggle and Transparent Window. For the
> former, I was reminded that there is a standard option to make your
> pointer more visible if you press the control key, but I am not sure
> this is desirable as a Jiggle replacement.
Let's keep this open for review then.

> Now sound-output-device-chooser has a greatly decreased utility,
> since you can choose the output device directly from the shell.

Cheers